<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Car;
class CarController extends Controller
{
    //
    
    public function index()
    {
        $title = "car List";
        $allcar = Car::where('status', '!=', '3')->orderBy('id', 'asc')->get();
        return view('car.index', compact('title', 'allcar'));
    }

    public function create(Request $request)
    {

        if ($request->method() == 'POST') {
            $request->validate([
                'name' => 'required',
                'rc_no' => 'required',
                'chassis_no' => 'required',
                'car_no' => 'required',
                'status' => 'required',
            ]);
            $check_data = $this->check_exist_data($request, null);
            if ($check_data) {
                $message = '';
                if ($check_data->chassis_no == $request->chassis_no) {
                    $message .= "Car ";
                }

                if ($message) {
                    return redirect()->route('car')
                        ->with('error', trim($message) . ' Already Exists');
                }
            }
            $car = new Car();
            $car->name = $request->name;
            $car->rc_no = $request->rc_no;
            $car->chassis_no = $request->chassis_no;
            $car->car_no = $request->car_no;
            $car->status = $request->status;
            $car->save();
            return redirect()->route('car')->with('success', 'Car Added Successfully');
        }

        $title = "Add Car";
        return view('car.create', compact('title'));
    }

    public function edit($id)
    {
        $title = "Edit Car";
        $get_car = Car::where('status', '!=', 3)->where('id', $id)->first();
        $title = "Car List";
        $allcar = Car::where('status', '!=', '3')->orderBy('id', 'asc')->get();
        return view('car.index', compact('title', 'allcar','get_car'));

    }

    public function update(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'rc_no' => 'required',
            'chassis_no' => 'required',
            'car_no' => 'required',
            'status' => 'required',
        ]);
        $check_data = $this->check_exist_data($request, $request->hidden_id);
        if ($check_data) {
            $message = '';

            if ($check_data->rc_no == $request->rc_no) {
                $message .= "Car ";
            }
            if ($message) {
                return redirect()->route('car.edit', ['id' => $request->hidden_id])
                    ->with('error', trim($message) . ' Already Exists');
            }
        }

        $car = Car::findOrFail($request->hidden_id);
        $car->name = $request->name;
        $car->rc_no = $request->rc_no;
        $car->chassis_no = $request->chassis_no;
        $car->car_no = $request->car_no;
        $car->status = $request->status;
        $car->save();
        return redirect()->route('car')->with('success', 'Car Updated Successfully');
    }


    public function destroy($id)
    {
        $car = Car::findOrFail($id);
        $car->status = 3;
        $car->update();
        return redirect()->route('car')->with('success', 'Car deleted successfully.');
    }

    public function check_exist_data($request, $id)
    {
        $query = Car::where('status', '!=', 3);
        if ($id !== null) {
            $query->where('id', '!=', $id);
        }
        $check_car = $query->where(function ($q) use ($request) {
            $q->where('rc_no', $request->rc_no);
        })->first();

        return $check_car;
    }
}
 