<?php

namespace App\Http\Controllers;

use DB;
use App\Models\Route;
use App\Models\Routezip;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;

class ZipController extends Controller
{
    public function index()
    {

        $title = "Route ZipCode List";
        $allroute = Route::where('status', '!=', '3')->orderBy('id', 'desc')->get();
        $allroutezip = DB::table('routezips')->Join('routes', 'routes.id', '=', 'routezips.route_id')->select('routezips.*', 'routes.route', 'routes.title as name')->where('routezips.status', '!=', '3')->where('routes.status','!=','3')->orderby('routezips.id', 'desc')->get();
        return view('routezip.index', compact('title', 'allroutezip', 'allroute'));
    }
    public function create(Request $request)
    {
        if ($request->method() == 'POST') {
            $request->validate([
                'route_id' => 'required',
                'zip_code' => 'required',
                'status' => 'required',
            ]);
            $get_zip_array = explode(",", $request->zip_code);
            $check_data = array();
            $original_data = array();
            foreach ($get_zip_array as $check_zip) {
                if ($this->check_exist_data($check_zip, null)) {
                    $check_data[] = $this->check_exist_data($check_zip, null);
                } else {
                    $original_data[] = $check_zip;
                }
            }
            foreach ($original_data as $zips_org) {
                $routezip = new Routezip();
                $routezip->route_id = $request->route_id;
                $routezip->zip_code = $zips_org;
                $routezip->status = $request->status;
                $routezip->save();
            }

            $messages = '';
            $msg_route = '';
            $msg_title = '';
            foreach ($check_data as $zip_dup) {
                $messages .= $zip_dup->zip_code . ',';
                $msg_route .= $zip_dup->route_no . ',';
                $msg_title .= $zip_dup->title . ',';
            }
            $error_msg = "This Zipcode " . $messages . " Already Exists in Route No ".$msg_route." And Route Name ".$msg_title;
            if (!empty($messages)) {
                return redirect()->route('routezip')->with('error', $error_msg);
            }
            return redirect()->route('routezip')->with('success', 'ZipCode Added Successfully');
        }
        $title = "Add Route ZipCode";
        return view('routezip.create', compact('title'));
    }
    public function edit($id)
    {
        // echo 324234; die;
        $title = "Edit Route ZipCode";
        $get_routezip = Routezip::where('status', '!=', 3)->where('id', $id)->first();
        $allroute = Route::where('status', '!=', '3')->orderBy('id', 'desc')->get();
        $allroutezip = DB::table('routezips')->leftJoin('routes', 'routes.id', '=', 'routezips.route_id')->select('routezips.*', 'routes.route', 'routes.title as name')->where('routezips.status', '!=', '3')->orderby('routezips.id', 'desc')->get();
        return view('routezip.index', compact('title', 'allroutezip', 'get_routezip', 'allroute'));
    }
    public function update(Request $request)
    {
        $request->validate([
            'route_id' => 'required',
            'zip_code_1' => 'required',
            'status' => 'required',
        ]);
        $check_data = $this->check_exist_data($request->zip_code_1, $request->hidden_id);

        if ($check_data) {
            $messages = '';
            $msg_route = '';
            $msg_title = '';
            if ($check_data->zip_code == $request->zip_code_1) {
                $messages .= $check_data->zip_code . ',';
                $msg_route .= $check_data->route_no . ',';
                $msg_title .= $check_data->title . ',';
            }
            if ($messages) {

                $error_msg = "This Zipcode " . $messages . " Already Exists in Route No ".$msg_route." And Route Name ".$msg_title;

                return redirect()->route('routezip')
                    ->with('error', $error_msg);

            }
        }
        $routezip = Routezip::findOrFail($request->hidden_id);
        $routezip->route_id = $request->route_id;

        $routezip->zip_code = $request->zip_code_1;
        $routezip->status = $request->status;
        $routezip->save();
        return redirect()->route('routezip')->with('success', 'Route Updated Successfully');
    }
    public function destroy($id)
    {
        $routezip = Routezip::findOrFail($id);
        $routezip->status = 3;
        $routezip->update();
        return redirect()->route('routezip')->with('success', 'Route deleted successfully.');
    }
    public function check_exist_data($zip_code, $id)
    {
        $query = Routezip::where('status', '!=', 3);
        if ($id !== null) {
            $query->where('id', '!=', $id);
        }
        $check_routezip = $query->where(function ($q) use ($zip_code) {
            $q->where('zip_code', $zip_code);
        })->first();
       if($check_routezip){
           $get_route = Route::find($check_routezip->route_id)->first();
           $check_routezip->route_no = isset($get_route->route) ? $get_route->route : '';
           $check_routezip->title = isset($get_route->title) ? $get_route->title : '';
       }




        return $check_routezip;
    }
}
