@extends('layouts/app')
@section('content')
@if(isset($get_car))
@php $form_action = "car.update" @endphp
@else
@php $form_action = "car.create" @endphp
@endif
    <div class="container-fluid">
        <div id="content" class="app-content">
            <div class="d-flex align-items-center mb-3">
                <div>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
                        <li class="breadcrumb-item"><a href="javascript:;">Car</a></li>
                        <li class="breadcrumb-item active"><i class="fa fa-arrow-back"></i> Create Car</li>
                    </ol>
                    <h1 class="page-header mb-0">Car</h1>
                </div>
            </div>
            <!-- Row for equal division -->
            <div class="row">
                <div class="col-md-6">
                    <div class="card border-0 mb-4">
                        <div class="card-header h6 mb-0 bg-none p-3 d-flex justify-content-between align-items-center">
                            <div class="d-flex align-items-center">
                                <i class="fa fa-user-shield fa-lg fa-fw text-dark text-opacity-50 me-1"></i>
                                Add Car
                            </div>
                        </div>
                        <form action="{{ route($form_action) }}" method="POST">
                            @csrf
                            <input type="hidden" value="{{ (isset($get_car)) ? $get_car->id : '' ; }}" name="hidden_id">
                            <div class="card-body">
                                <div class="row">

                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Car Name</label>
                                            <input class="form-control @error('name') is-invalid @enderror" type="text" name="name" placeholder="Enter Name" value="@if(empty($get_car)) {{ old('name') }} @else {{ (isset($get_car)) ? $get_car->name : '' ; }} @endif" />
                                            @error('name')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Rc No</label>
                                            <input class="form-control @error('rc_no') is-invalid @enderror" type="text" name="rc_no" placeholder="Enter RC No" value="@if(empty($get_car)) {{ old('rc_no') }} @else {{ (isset($get_car)) ? $get_car->rc_no : '' ; }} @endif" />
                                            @error('rc_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Chassis No</label>
                                            <input class="form-control @error('chassis_no') is-invalid @enderror" type="text" name="chassis_no" placeholder="Enter RC No" value="@if(empty($get_car)) {{ old('chassis_no') }} @else {{ (isset($get_car)) ? $get_car->chassis_no : '' ; }} @endif" />
                                            @error('chassis_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Car No</label>
                                            <input class="form-control @error('car_no') is-invalid @enderror" type="text" name="car_no" placeholder="Enter RC No" value="@if(empty($get_car)) {{ old('car_no') }} @else {{ (isset($get_car)) ? $get_car->car_no : '' ; }} @endif" />
                                            @error('car_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Car Status</label>
                                            <select class="form-control custom-select-icon @error('status') is-invalid @enderror" name="status">
                                                <option value="1" {{ old('status') == 1 ? 'selected' : '' }} {{ (isset($get_car) && $get_car->status == 1) ? 'selected' : '' ; }}>Active Car</option>
                                                <option value="2" {{ old('status') == 2 ? 'selected' : '' }} {{ (isset($get_car) && $get_car->status == 2) ? 'selected' : '' ; }}>Inactive Car</option>
                                            </select>
                                            @error('status')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer bg-none d-flex p-3">
                                <button type="submit" class="btn btn-primary"><i class="fas fa-check"></i> Submit</button>
                            </div>
                        </form>
                    </div>
                </div>

                <!-- Table Section -->
                <div class="col-md-6">
                    <div class="card border-0 mb-4">
                        <div class="card-header h6 mb-0 bg-none p-3 d-flex align-items-center" style="border-bottom: 1px solid #2196f3;">
                            <i class="fab fa-buromobelexperte fa-lg fa-fw text-dark text-opacity-50 me-1"></i>
                            Route List
                        </div>
                        <div class="card-body">
                            <table id="data-table-default" class="table table-striped table-bordered align-middle">
                                <thead>
                                    <tr>
                                        <th width="1%"></th>
                                        <th class="text-nowrap">Car Name</th>
                                        <th class="text-nowrap">Rc No</th>
                                        <th class="text-nowrap">Car No</th>
                                        <th class="text-nowrap">Created Date</th>
                                        <th class="text-nowrap">Status</th>
                                        <th class="text-nowrap">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if($allcar)
                                    @foreach ($allcar as $car)
                                    <tr class="odd gradeX">
                                        <td width="1%" class="fw-bold text-dark">{{ $loop->iteration }}</td>
                                        <td>{{ $car->name }}</td>
                                        <td>{{ $car->rc_no }}</td>
                                        <td>{{ $car->car_no }}</td>
                                        <td>{{ \Carbon\Carbon::parse($car->created_at)->format('d F Y h:i A') }}</td>
                                        <td>
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" id="flexSwitchCheckDefault{{ $car->id }}" {{ ($car->status==1) ? 'checked' : '' }}  onchange="ChangeStatus('routes',{{ $car->id }});" >
                                              </div>
                                        </td>
                                        <td>
                                            <a href="{{ route('car.edit', $car->id) }}" class="text-primary me-2">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            <form action="{{ route('car.destroy', $car->id) }}" method="POST" style="display: inline;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-link text-danger p-0" onclick="return confirm('Are you sure you want to delete this route?');">
                                                    <i class="fa fa-trash"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
