@extends('layouts/app')
@section('content')
@if(isset($get_lead))
    @php $form_action = "lead.update" @endphp
@else
    @php $form_action = "lead.create" @endphp
@endif
    <div class="container-fluid">
        <div id="content" class="app-content">
            <div class="d-flex align-items-center mb-3">
                <div>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
                        <li class="breadcrumb-item"><a href="javascript:;">Lead</a></li>
                        <li class="breadcrumb-item active"><i class="fa fa-arrow-back"></i> Create Lead</li>
                    </ol>
                    <h1 class="page-header mb-0">Lead</h1>
                </div>
            </div>

            <!-- Row for equal division -->
            <div class="row">
                <!-- Form Section -->
                <div class="col-md-12">
                    <div class="card border-0 mb-4">
                        <div class="card-header h6 mb-0 bg-none p-3 d-flex justify-content-between align-items-center">
                            <div class="d-flex align-items-center">
                                <i class="fa fa-user-shield fa-lg fa-fw text-dark text-opacity-50 me-1"></i>
                                Add Lead
                            </div>
                            <a href="{{ route('lead') }}">
                                <button class="btn btn-primary">List Lead</button>
                            </a>
                        </div>
                        <form action="{{ route($form_action) }}" method="POST">
                            @csrf
                            <input type="hidden" value="{{ isset($get_lead) ? $get_lead->id : '' }}" name="hidden_id">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Name</label>
                                            <input class="form-control @error('name') is-invalid @enderror" type="text" name="name" placeholder="Enter Name" value="{{ isset($get_lead) ? $get_lead->name : old('name') }}" />
                                            @error('name')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Email</label>
                                            <input class="form-control @error('email') is-invalid @enderror" type="email" name="email" placeholder="Enter Email" value="{{ isset($get_lead) ? $get_lead->email : old('email') }}" />
                                            @error('email')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Mobile No.</label>
                                            <input class="form-control @error('mobile') is-invalid @enderror" type="text" name="mobile" placeholder="Enter Mobile No." value="{{ isset($get_lead) ? $get_lead->mobile : old('mobile') }}" />
                                            @error('mobile')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Zipcode </label>
                                            <input class="form-control @error('zip_code') is-invalid @enderror" type="text" name="zip_code" placeholder="Enter Zipcode" value="{{ isset($get_lead) ? $get_lead->zip_code : old('zip_code') }}" />
                                            @error('zip_code')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Loan Amount</label>
                                            <input class="form-control @error('loan_amount') is-invalid @enderror" type="number" name="loan_amount" placeholder="Enter Loan Amount" value="{{ isset($get_lead) ? $get_lead->loan_amount : old('loan_amount') }}" />
                                            @error('loan_amount')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Service </label>
                                            <select class="form-control custom-select-icon @error('service') is-invalid @enderror" name="service">
                                                <option value="">Select Service</option>
                                                @if($get_service)
                                                    @foreach ($get_service as $service)
                                                        <option value="{{ $service->id }}" @if(empty($get_lead)) {{ old('service') == $service->id ? 'selected' : '' }} @else {{ (isset($get_lead) && $get_lead->service_no == $service->id) ? 'selected' : '' ; }} @endif >{{ ucwords($service->title) }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                            @error('user_id')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Lead User </label>
                                            <select class="form-control custom-select-icon @error('user_id') is-invalid @enderror" name="user_id">
                                                <option value="">Select User</option>
                                                @if($get_user)
                                                    @foreach ($get_user as $user)
                                                        <option value="{{ $user->id }}" @if(empty($get_lead)) {{ old('user_id') == $user->id ? 'selected' : '' }} @else {{ (isset($get_lead) && $get_lead->user_id == $user->id) ? 'selected' : '' ; }} @endif {{ $user->role_id == 1 ? 'selected':''; }}>{{ ucwords($user->name) }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                            @error('user_id')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Reason</label>
                                            <textarea class="form-control @error('reason_of_loan') is-invalid @enderror" name="reason_of_loan" placeholder="Enter Reason">{{ isset($get_lead) ? $get_lead->reason_of_loan : old('reason_of_loan') }}</textarea>
                                            @error('reason_of_loan')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label">Address</label>
                                            <textarea class="form-control @error('address') is-invalid @enderror" name="address" placeholder="Enter Address">{{ isset($get_lead) ? $get_lead->address : old('address') }}</textarea>
                                            @error('address')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                </div>
                            </div>
                            <div class="card-footer bg-none d-flex p-3">
                                <button type="submit" class="btn btn-primary"><i class="fas fa-check"></i> Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
